[arvados] updated: 2.7.0-6261-gc2ab174641
git repository hosting
git at public.arvados.org
Thu Apr 4 18:26:23 UTC 2024
Summary of changes:
build/run-tests.sh | 18 ++++++------------
1 file changed, 6 insertions(+), 12 deletions(-)
via c2ab17464100b4914b65473175ff1c85b102f1e3 (commit)
via d483eba34fe5e59bf8f9a3298d0fbd6c5026b4f6 (commit)
from dcdf385b2852acf95f41e2340d07cd68cb34e371 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit c2ab17464100b4914b65473175ff1c85b102f1e3
Author: Tom Clegg <tom at curii.com>
Date: Thu Apr 4 14:25:53 2024 -0400
12430: Accept flags like --skip install_services/workbench2.
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tom at curii.com>
diff --git a/build/run-tests.sh b/build/run-tests.sh
index 29b5a8b177..a9db9bbfe4 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -819,7 +819,7 @@ check_arvados_config() {
}
do_install() {
- if [[ -n "${skip[install]}" || ( -n "${only_install}" && "${only_install}" != "${1}" && "${only_install}" != "${2}" ) ]]; then
+ if [[ -n ${skip["install_$1"]} || -n "${skip[install]}" || ( -n "${only_install}" && "${only_install}" != "${1}" && "${only_install}" != "${2}" ) ]]; then
return 0
fi
check_arvados_config "$1"
commit d483eba34fe5e59bf8f9a3298d0fbd6c5026b4f6
Author: Tom Clegg <tom at curii.com>
Date: Thu Apr 4 14:05:10 2024 -0400
12430: Tidy --only/--only-install code/docs.
Fix harmlessly mismatched usages of $only (always an associative
array) and $only_install (always a scalar) and edit usage message to
clarify behavior when multiple --only* args are given.
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tom at curii.com>
diff --git a/build/run-tests.sh b/build/run-tests.sh
index 1f28915a29..29b5a8b177 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -21,7 +21,8 @@ Options:
--skip install Do not run any install steps. Just run tests.
You should provide GOPATH, GEMHOME, and VENVDIR options
from a previous invocation if you use this option.
---only FOO Do not test anything except the FOO component.
+--only FOO Do not test anything except the FOO component. If given
+ more than once, all specified test suites are run.
--temp DIR Install components and dependencies under DIR instead of
making a new temporary directory. Implies --leave-temp.
--leave-temp Do not remove GOPATH, virtualenv, and other temp dirs at exit.
@@ -29,7 +30,8 @@ Options:
subsequent invocations.
--repeat N Repeat each install/test step until it succeeds N times.
--retry Prompt to retry if an install or test suite fails.
---only-install Run specific install step
+--only-install Run specific install step. If given more than once,
+ all but the last are ignored.
--short Skip (or scale down) some slow tests.
--interactive Set up, then prompt for test/install steps to perform.
WORKSPACE=path Arvados source tree to test.
@@ -1095,14 +1097,6 @@ install_all() {
test_all() {
stop_services
do_test services/api
-
- # Shortcut for when we're only running apiserver tests. This saves a bit of time,
- # because we don't need to start up the api server for subsequent tests.
- if [ ! -z "$only" ] && [ "$only" == "services/api" ]; then
- rotate_logfile "$WORKSPACE/services/api/log/" "test.log"
- exit_cleanly
- fi
-
do_test gofmt
do_test doc
do_test sdk/ruby-google-api-client
@@ -1172,7 +1166,7 @@ if [[ -z ${interactive} ]]; then
else
skip=()
only=()
- only_install=()
+ only_install=""
if [[ -e "$VENV3DIR/bin/activate" ]]; then stop_services; fi
setnextcmd() {
if [[ "$TERM" = dumb ]]; then
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list